[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TIndexDef.Options

Index options

## Declaration

Source position: db.pas line 1060

`published property TIndexDef.Options : TIndexOptions read FOptions write FOptions;`

## Description

Options describes the various properties of the index. This is usually filled by the dataset that provides the index definitions. For datasets that provide In-memory indexes, this should be set prior to creating the index: it cannot be changed once the index is created.

See the description of TindexOption for more information on the various available options.

## See also

TIndexOptions |  | Set of TIndexOption values